Loading...
Searching...
No Matches
Ogre::NameGenerator Class Reference
Core » General

Utility class to generate a sequentially numbered series of names. More...

`#include <OgreNameGenerator.h>`

## Public Member Functions

| NameGenerator (const NameGenerator &rhs)
| NameGenerator (const String &prefix)
String | generate ()
| Generate a new name.
unsigned long long int | getNext () const
| Get the internal counter.
void | reset ()
| Reset the internal counter.
void | setNext (unsigned long long int val)
| Manually set the internal counter (use caution).

## Detailed Description

Utility class to generate a sequentially numbered series of names.

## Constructor & Destructor Documentation

## NameGenerator() [1/2]

Ogre::NameGenerator::NameGenerator | ( | const NameGenerator & | rhs | ) |

inline

References NameGenerator().

Referenced by NameGenerator().

## NameGenerator() [2/2]

Ogre::NameGenerator::NameGenerator | ( | const String & | prefix | ) |

inline

## Member Function Documentation

## generate()

String Ogre::NameGenerator::generate | ( |  | ) |

inline

Generate a new name.

References Ogre::StringUtil::format().

## reset()

void Ogre::NameGenerator::reset | ( |  | ) |

inline

Reset the internal counter.

## setNext()

void Ogre::NameGenerator::setNext | ( | unsigned long long int | val | ) |

inline

Manually set the internal counter (use caution).

## getNext()

unsigned long long int Ogre::NameGenerator::getNext | ( |  | ) | const

inline

Get the internal counter.

The documentation for this class was generated from the following file:

- OgreNameGenerator.h